cdac.medinfo.sdk.hl7282.baselibs.messages

## Class AbstractQuery

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery

- Direct Known Subclasses:
    ORI_O24, ORL_O22, ORL_O34, ORL_O36, ORL_O40, QBP_E03, QBP_E22, QBP_Q11, QBP_Q13, QBP_Q15, QBP_Q21_Common, QBP_Q31, QBP_Q33, QBP_Q34, QBP_Z73, QBP_Z75, QBP_Z77, QBP_Z79, QBP_Z81, QBP_Z85, QBP_Z87, QBP_Z89, QBP_Z91, QBP_Z93, QBP_Z95, QBP_Z97, QBP_Z99, QCN_J01_Common, QRY_Q26_Common, QSB_Q16_Common, QVR_Q17, RDY_K15_Common, RDY_Z80, RSP_E03, RSP_E22, RSP_K11, RSP_K21_Common, RSP_K23_Common, RSP_K25, RSP_K31, RSP_K32, RSP_K33, RSP_K34, RSP_Z82, RSP_Z84, RSP_Z86, RSP_Z88, RSP_Z90, RTB_K13_Common, SRR_S01_Common, UDM_Q05

      public abstract class AbstractQuery
      extends Message

  Message is Parent Class of All Query messages in HL7Standard.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQuery(IMap objMessageMap, java.lang.String strMessageCode, java.lang.String strTriggerEvent, java.lang.String strMessageStructure)` Parameterized Constructor of Abstract Query which takes MessageMap, Message Code, Trigger Event and Message Structure.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ST` | `getQueryIdentifier()` Retrieves Query Identifier depending upon Original or Deferred mode
    `ISingleCollection<Segment>` | `getQuerySegments()` Gives the Segments used to Query.
    `boolean` | `isBatchRSPExpected()` Checks whether expected response for query is batch or single response.
    `boolean` | `isCanceledQuery()` Returns the status for query whether it is Canceled or not.
    `boolean` | `isCanceledResponse()` Returns the status for Response whether it is Canceled or not.
    `boolean` | `isDeferred()` Checks whether Query Priority is Deferred or Immediate
    `boolean` | `isInteractiveQuery()` Returns the status for query whether it is interactive or not.
    `boolean` | `isInteractiveResponse()` Returns the status for Response whether it is interactive or not.
    `void` | `setIsCanceledQuery(boolean isCanceledQuery)` Verifies whether Query is canceled.
    `void` | `setIsCanceledResponse(boolean isCanceledResponse)` Verifies whether Response is Canceled.
    `void` | `setIsInteractiveQuery(boolean isInteractive)` Verifies whether Query is Interactive.
    `void` | `setIsInteractiveResponse(boolean isInteractiveResponse)` Verifies whether Response is Interactive.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractQuery

          public AbstractQuery(IMap objMessageMap,
                       java.lang.String strMessageCode,
                       java.lang.String strTriggerEvent,
                       java.lang.String strMessageStructure)

      Parameterized Constructor of Abstract Query which takes MessageMap, Message Code, Trigger Event and Message Structure.
      Parameters:
        `objMessageMap` - Object of IMap.
        `strMessageCode` - Message Code of Message
        `strTriggerEvent` - Event of Message
        `strMessageStructure` - Message structure of Message

  - ### Method Detail

    - #### isBatchRSPExpected

          public boolean isBatchRSPExpected()

      Checks whether expected response for query is batch or single response.
      Returns:
        boolean

    - #### getQueryIdentifier

          public ST getQueryIdentifier()

      Retrieves Query Identifier depending upon Original or Deferred mode
      Returns:
        boolean

    - #### isDeferred

          public boolean isDeferred()

      Checks whether Query Priority is Deferred or Immediate
      Returns:
        boolean

    - #### getQuerySegments

          public ISingleCollection<Segment> getQuerySegments()

      Gives the Segments used to Query.
      Returns:
        ISingleCollection - collection of segments used query.

    - #### setIsInteractiveQuery

          public void setIsInteractiveQuery(boolean isInteractive)

      Verifies whether Query is Interactive.
      Parameters:
        `isInteractive` - it will set whether query is interactive.

    - #### isInteractiveQuery

          public boolean isInteractiveQuery()

      Returns the status for query whether it is interactive or not.
      Returns:
        boolean true if query is interactive else false

    - #### setIsInteractiveResponse

          public void setIsInteractiveResponse(boolean isInteractiveResponse)

      Verifies whether Response is Interactive.
      Parameters:
        `isInteractive` - it will set whether Response is interactive.

    - #### isInteractiveResponse

          public boolean isInteractiveResponse()

      Returns the status for Response whether it is interactive or not.
      Returns:
        boolean true if Response is interactive else false

    - #### setIsCanceledQuery

          public void setIsCanceledQuery(boolean isCanceledQuery)

      Verifies whether Query is canceled.
      Parameters:
        `isCanceledQuery` - it will set whether query is canceled.

    - #### isCanceledQuery

          public boolean isCanceledQuery()

      Returns the status for query whether it is Canceled or not.
      Returns:
        boolean true if query is Canceled else false

    - #### setIsCanceledResponse

          public void setIsCanceledResponse(boolean isCanceledResponse)

      Verifies whether Response is Canceled.
      Parameters:
        `isCanceledResponse` - it will set whether Response is Canceled.

    - #### isCanceledResponse

          public boolean isCanceledResponse()

      Returns the status for Response whether it is Canceled or not.
      Returns:
        boolean true if Response is Canceled else false